Share via


Workspaces - Delete

Deletes the workspace.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Databricks/workspaces/{workspaceName}?api-version=2026-01-01
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Databricks/workspaces/{workspaceName}?api-version=2026-01-01&forceDeletion={forceDeletion}

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 3
maxLength: 64

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

forceDeletion
query

boolean

Optional parameter to retain default unity catalog data. By default the data will retained if Uc is enabled on the workspace.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Delete a workspace
Delete a workspace with forceDeletion parameter

Delete a workspace

Sample request

DELETE https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg/providers/Microsoft.Databricks/workspaces/myWorkspace?api-version=2026-01-01

Sample response

Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/HelloWorld/providers/Microsoft.Databricks/workspaces/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-01-01
Location: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/HelloWorld/providers/Microsoft.Databricks/workspaces/swaggerExample/operationResults/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-01-01
Retry-After: 10

Delete a workspace with forceDeletion parameter

Sample request

DELETE https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg/providers/Microsoft.Databricks/workspaces/myWorkspace?api-version=2026-01-01&forceDeletion=false

Sample response

Azure-AsyncOperation: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/HelloWorld/providers/Microsoft.Databricks/workspaces/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-01-01
Location: /subscriptions/77777777-b0c6-47a2-b37c-d8e65a629c18/resourceGroups/HelloWorld/providers/Microsoft.Databricks/workspaces/swaggerExample/operationResults/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-01-01
Retry-After: 10

Definitions

Name Description
ErrorDetail

Error details.

ErrorInfo

The code and message for an error.

ErrorResponse

Contains details when the response code indicates an error.

ErrorDetail

Error details.

Name Type Description
code

string

The error's code.

message

string

A human readable error message.

target

string

Indicates which property in the request is responsible for the error.

ErrorInfo

The code and message for an error.

Name Type Description
code

string

A machine readable error code.

details

ErrorDetail[]

error details.

innererror

string

Inner error details if they exist.

message

string

A human readable error message.

ErrorResponse

Contains details when the response code indicates an error.

Name Type Description
error

ErrorInfo

The error details.